Мой плагин Adobe Flash перестает работать и не может быть переустановлен

3

Мой Adobe Flash-плагин прекратил работу над Ubuntu 12.04. Я не вижу видео. Когда я пытаюсь установить его снова, на моем терминале появляются следующие вещи:

root@ubuntu:/home/salty# sudo apt-get install adobe-flashplugin
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package adobe-flashplugin is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'adobe-flashplugin' has no installation candidate
root@ubuntu:/home/salty# 

Что мне теперь делать?

    
задан Lovely Sinha 02.03.2013 в 10:49
источник

5 ответов

4

Откройте файл /etc/apt/sources.list с помощью текстового редактора. Раскомментировать (удалить предыдущие #) в строках:

deb http://archive.canonical.com/ubuntu trusty partner
deb-src http://archive.canonical.com/ubuntu trusty partner

В Ubuntu 16.04 это сработало:

deb http://archive.canonical.com/ubuntu xenial partner
deb-src http://archive.canonical.com/ubuntu xenial partner

В терминале запустите

sudo apt-get update
sudo apt-get install adobe-flashplugin
    
ответ дан andydavies 01.04.2016 в 15:52
1

Шаги установки флеш-плагинов

Шаг 1. Добавьте следующую строку в sources.list ( sudo nano /etc/apt/sources.list )

   deb http://security.ubuntu.com/ubuntu lucid-security main multiverse

Шаг 2: обновите apt-get

   sudo apt-get update

Шаг 3: установите flash-плагин

   sudo apt-get install flashplugin-installer
    
ответ дан vicky 24.01.2015 в 10:12
0

Введите

sudo apt-get update && sudo apt-get ugrade && sudo apt-get install flashplugin-installer

После этого у вас должна быть функциональная Flash для вашего браузера.

И, пожалуйста, не работайте как root ! Выполняйте команды из обычной учетной записи пользователя.

    
ответ дан user25656 02.03.2013 в 10:51
0

flashplugin-installer для 32-разрядной версии.

В 64-битном режиме вы должны использовать adobe-flashplugin ! В этой статье есть решение :

  1. Открыть Software & Updates
  2. Перейдите в Other Software
  3. Выберите две опции Canonical Partners
  4. sudo apt-get update
  5. sudo apt-get purge adobe-flash{plugin,-properties-gtk}
  6. sudo apt-get install adobe-flashplugin

Я тестировал это на 64-битной версии Ubuntu 14.04.

    
ответ дан rohithpr 08.02.2016 в 17:38
0

В Ubuntu 16.04 это сработало для меня:

$ sudo vi /etc/apt/sources.list

     48 deb http://archive.canonical.com/ubuntu xenial partner
     49 deb-src http://archive.canonical.com/ubuntu xenial partner

$ sudo apt-get update
$ sudo apt-get install adobe-flashplugin
    
ответ дан Mona Jalal 11.11.2016 в 00:38